Cubase elements and El Capitan OS

Post general topics related to Cubase Pro 10, Cubase Artist 10 and Cubase Elements 10 here.
Post Reply
RayDeeyay
New Member
Posts: 13
Joined: Thu Mar 05, 2020 12:22 pm
Contact:

Cubase elements and El Capitan OS

Post by RayDeeyay »

Hello,

I have an older iMac (2012) with El Capitan OS.
I use Cubasis 3 on iOS and needed information on two questions:

1. Does Cubase Elements work on El Capitan? (The ’bigger’ versions of Cubase don’t seem to even though my iMac runs Logic Pro X no problem)
2. Does Cubase Elements have the ’import Project from Cubasis’ feature?

Thank you.

Martin.Jirsak
Forum Elder
Posts: 25070
Joined: Sun Mar 20, 2011 3:52 pm
Contact:

Re: Cubase elements and El Capitan OS

Post by Martin.Jirsak »

Hi,

1. Yes, there is definitely Cubase Elements officially compatible with macOS El Capitan. With the current Cubase Elements 10.5, you can start older Cubase Elements version (the one officially compatible with El Capitan). Or you can try to use the current Cubase 10.5, which is not officially compatible, but It will most probably work (on your own risk).

2. As you can see here, Cubasis Project Importer is compatible with Cubase Elements.
Martin Jirsak
How to show notes of the chord/scale only
Cubase Training

Cubase Pro (last officially supported version all the time)
macOS (last update)

RayDeeyay
New Member
Posts: 13
Joined: Thu Mar 05, 2020 12:22 pm
Contact:

Re: Cubase elements and El Capitan OS

Post by RayDeeyay »

Thank you.
I downloaded a trial of the Pro version of Cubase but it would not open on my OS.

I will try the Elements/Cubasis 3 project import to see how smoothly that works.

Martin.Jirsak
Forum Elder
Posts: 25070
Joined: Sun Mar 20, 2011 3:52 pm
Contact:

Re: Cubase elements and El Capitan OS

Post by Martin.Jirsak »

Hi,

For Cubase Pro you need USB-eLicenser.
Martin Jirsak
How to show notes of the chord/scale only
Cubase Training

Cubase Pro (last officially supported version all the time)
macOS (last update)

RayDeeyay
New Member
Posts: 13
Joined: Thu Mar 05, 2020 12:22 pm
Contact:

Re: Cubase elements and El Capitan OS

Post by RayDeeyay »

Interestingly, Steinberg states (in their feature comparison chart) that the Mac OS requirement for even Cubase Elements is Mojave or Catalina so I guess that rules it out for me for the time being as a new Mac purchase is not on the horizon.

Fortunately, Cubasis 3 on the iPad is surprisingly good and I have been using it for quiet, miced-up recording of the acoustic guitar and vocal parts as the hard drive on my old iMac is too noisy. One can transfer the stems to Logic via iCloud/Google Drive etc but its a little clunky. I was hoping to keep things ‘in house’ by taking advantage of Cubase’s import project feature directly from Cubasis.

RayDeeyay
New Member
Posts: 13
Joined: Thu Mar 05, 2020 12:22 pm
Contact:

Re: Cubase elements and El Capitan OS

Post by RayDeeyay »

Interestingly, Steinberg states (in their feature comparison chart) that the Mac OS requirement for even Cubase Elements is Mojave or Catalina so I guess that rules it out for me for the time being as a new Mac purchase is not on the horizon.

Fortunately, Cubasis 3 on the iPad is surprisingly good and I have been using it for quiet, miced-up recording of the acoustic guitar and vocal parts as the hard drive on my old iMac is too noisy. One can transfer the stems to Logic via iCloud/Google Drive etc but its a little clunky. I was hoping to keep things ‘in house’ by taking advantage of Cubase’s import project feature directly from Cubasis.

Martin.Jirsak
Forum Elder
Posts: 25070
Joined: Sun Mar 20, 2011 3:52 pm
Contact:

Re: Cubase elements and El Capitan OS

Post by Martin.Jirsak »

Hi,

Yes, the system requirements are the same for all Cubase editions. Officially Cubase 10.5 (any edition) is compatible with macOS 10.14 and 10.15 only. If you want to use an older system, you can try it on your own risk. Myself, I have Cubase 10.5 on macOS 10.13 at one of my system and it works with no problem.

If you want to use Cubase, you can purchase Cubase 10.5 license and download and install an older Cubase (probably Cubase 10), which is officially supported with your macOS. With Cubase 10.5 license you can start all older Cubase versions (of the same edition). If you would buy a newer Mac later on, you have Cubase 10.5 license already and you can use it immediately.
Martin Jirsak
How to show notes of the chord/scale only
Cubase Training

Cubase Pro (last officially supported version all the time)
macOS (last update)

Post Reply

Return to “General”

Who is online

Users browsing this forum: No registered users and 2 guests